Main Page Widgets Namespaces Book

# Gtk::Toolbar Class Reference
[Widgets, Container Widgets, Toolbar classes]

Inheritance diagram for Gtk::Toolbar:

[legend]
List of all members.

## Public Types

typedef Toolbar_Helpers::ToolList | ToolList

## Public Methods

virtual | ~Toolbar ()
GtkToolbar* | gobj ()
const GtkToolbar* | gobj () const
| Toolbar ()
void | set_orientation (Orientation orientation)
Orientation | get_orientation () const
| Retrieves the current orientation of the toolbar.
void | set_toolbar_style (ToolbarStyle style)
ToolbarStyle | get_toolbar_style () const
| Retrieves whether the toolbar has text, icons, or both .
void | set_tooltips (bool enable=true)
bool | get_tooltips () const
| Retrieves whether tooltips are enabled.
void | set_icon_size (IconSize icon_size)
| This function sets the size of stock icons in the toolbar.
IconSize | get_icon_size () const
| Retrieves the icon size fo the toolbar.
void | unset_toolbar_style ()
| Unsets a toolbar style set with set_style(), so that user preferences will be used to determine the toolbar style.
void | unset_icon_size ()
| Unsets toolbar icon size set with set_icon_size(), so that user preferences will be used to determine the icon size.
Glib::SignalProxy1< void, Orientation > | signal_orientation_changed ()
Glib::SignalProxy1< void, ToolbarStyle > | signal_toolbar_style_changed ()
ToolList& | tools ()
const ToolList& | tools () const
Glib::PropertyProxy<Orientation> | property_orientation ()
Glib::PropertyProxy<ToolbarStyle> | property_toolbar_style ()

## Protected Methods

virtual void | on_orientation_changed (Orientation orientation)
virtual void | on_toolbar_style_changed (ToolbarStyle style)

## Related Functions

(Note that these are not member functions.)
Gtk::Toolbar* | wrap (GtkToolbar* object, bool take_copy=false)

## Member Typedef Documentation

typedef Toolbar_Helpers::ToolList Gtk::Toolbar::ToolList

## Constructor & Destructor Documentation

virtual Gtk::Toolbar::~Toolbar | ( |  | ) | `[virtual]`

Gtk::Toolbar::Toolbar | ( |  | ) |

## Member Function Documentation

IconSize Gtk::Toolbar::get_icon_size | ( |  | ) |

Retrieves the icon size fo the toolbar.

See set_icon_size().

Returns:
  The current icon size for the icons on the toolbar.

Orientation Gtk::Toolbar::get_orientation | ( |  | ) |

Retrieves the current orientation of the toolbar.

See set_orientation().

Returns:
  The orientation.

ToolbarStyle Gtk::Toolbar::get_toolbar_style | ( |  | ) |

Retrieves whether the toolbar has text, icons, or both .

See set_style().

Returns:
  The current style of toolbar.

bool Gtk::Toolbar::get_tooltips | ( |  | ) |

Retrieves whether tooltips are enabled.

See set_tooltips().

Returns:
  `true` if tooltips are enabled.

const GtkToolbar* Gtk::Toolbar::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::Container.

GtkToolbar* Gtk::Toolbar::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::Container.

virtual void Gtk::Toolbar::on_orientation_changed | ( | Orientation | orientation | ) | `[protected, virtual]`

virtual void Gtk::Toolbar::on_toolbar_style_changed | ( | ToolbarStyle | style | ) | `[protected, virtual]`

Glib::PropertyProxy<Orientation> Gtk::Toolbar::property_orientation | ( |  | ) |

Glib::PropertyProxy<ToolbarStyle> Gtk::Toolbar::property_toolbar_style | ( |  | ) |

void Gtk::Toolbar::set_icon_size | ( | IconSize | icon_size | ) |

This function sets the size of stock icons in the toolbar.

You can call it both before you add the icons and after they've been added. The size you set will override user preferences for the default icon size.

Parameters:

  icon_size | The Gtk::IconSize that stock icons in the toolbar shall have.

void Gtk::Toolbar::set_orientation | ( | Orientation | orientation | ) |

void Gtk::Toolbar::set_toolbar_style | ( | ToolbarStyle | style | ) |

void Gtk::Toolbar::set_tooltips | ( | bool | enable = true | ) |

Glib::SignalProxy1<void,Orientation> Gtk::Toolbar::signal_orientation_changed | ( |  | ) |

Prototype:
  `void orientation_changed(Orientation orientation)`

Glib::SignalProxy1<void,ToolbarStyle> Gtk::Toolbar::signal_toolbar_style_changed | ( |  | ) |

Prototype:
  `void toolbar_style_changed(ToolbarStyle style)`

const ToolList& Gtk::Toolbar::tools | ( |  | ) |

ToolList& Gtk::Toolbar::tools | ( |  | ) |

void Gtk::Toolbar::unset_icon_size | ( |  | ) |

| Unsets toolbar icon size set with set_icon_size(), so that user preferences will be used to determine the icon size.

void Gtk::Toolbar::unset_toolbar_style | ( |  | ) |

| Unsets a toolbar style set with set_style(), so that user preferences will be used to determine the toolbar style.

## Friends And Related Function Documentation

Gtk::Toolbar* wrap | ( | GtkToolbar* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- toolbar.h